View Issue Details

IDProjectCategoryLast Update
0021905AI War 2[All Projects] Balance IssueFeb 13, 2020 10:52 am
ReporteryupyipAssigned ToRocketAssistedPuffin 
Severityminor 
Status acknowledgedResolutionreopened 
Product Version1.001 Official Game Launch! 
Fixed in Version1.3 The Grand New AI 
Summary0021905: End game AI respawn grind
DescriptionWhen you defeat the AI and it respawns as the second phase, that's just needless grind. When my entire fleet can just about get its shields down before behind annihilated/zombiefied and then a minute or so later a huge attack that's the size of all my fleets appears 2 systems from my homeworld (while all but one of my fleets are still the other side of the galaxy)... well that's not fun, that's pointless un-fun grind that results in my ~5th loss for this level (which is the first "moderate" level) ((autosave)).
TagsNo tags attached.

Activities

RocketAssistedPuffin

Oct 24, 2019 4:37 pm

reporter   ~0053928

What was this "attack", specifically? Wormhole Invasion?

Most of the AIs offensive budget is instead given to defensive means if you're near a Homeworld with a large force.

BadgerBadger

Oct 25, 2019 12:54 am

manager   ~0053940

It's quite possible to go to the ai homeworld, clear out the defenses (without taking out the AI overlord). Retreat, save up money, etc...., then go back and attack.

If you can destroy all the homeworld's defenses then coming back with a fully refreshed fleet should make it quite winnable

yupyip

Oct 25, 2019 4:29 am

reporter   ~0053942

> "What was this "attack", specifically? Wormhole Invasion?"
No idea I'm afraid.

> "It's quite possible to go to the ai homeworld, clear out the defenses (without taking out the AI overlord). Retreat, save up money, etc...., then go back and attack."

Which is exactly what I did. But then it respawns *ANOTHER* AI for me to to take out with the now-depleted fleet and money. It was when I'd retreated from that to regain health/money (I had conquored the planet next to the homeworld) that that AI sent the huge fleet to my home. That's the grind - if you can already defeat the original AI and have to do it via a multi-wave assault, how is having another one that's massively overpowered going to be fun while you sit around babysitting the universe waiting for everything to get healthy again?

yupyip

Oct 25, 2019 4:58 am

reporter   ~0053945

Hah, no I just loaded the autosave this morning. It's even less fun than that. It seems that it's the AI homeworld itself that's come down to crush me while I sit next to its (former) homeworld refreshing not aware of the fact the damn thing moves (not that I could do anything anyway).
Absolutely impossible to win now, even from the autosave. :-(
Not fun.

RocketAssistedPuffin

Oct 25, 2019 6:26 am

reporter   ~0053946

Do you have a save to let us see this? There's far as I know absolutely nothing that causes the AI to send attacks when part of the Overlord is killed.

I did one recently and there was nothing. Phase 2 wasn't a bother either so this is confusing.

yupyip

Oct 25, 2019 6:38 am

reporter   ~0053949

Unfortunately the save was overwritten (autosave) by my new game.

To be more explicitly clear:
* I attacked the homeworld with most of my fleets (0000029:0000130 strength), did lots of damage, but retreated and left the AI Core intact (although there were lots of my zombies) so I could be sure to kill it on my next attack.
* I attacked again about a minute later and destroyed the AI Core. AI Immediately Spawns Core 2.
* I keep attacking, get Core 2 down to about 10% shields and then retreat because almost everything is dead/zombified and I have no metal left.
* I sit around for a few minutes at game speed 5 with my fleet in the system next to the homeworld licking its wounds.
* An attack of strength 108 appears one system away from my homeworld. It contains the AI Core 2. Makes its way to my homeworld and... well there's no possible way to defend against that so...
*Game Over*

RocketAssistedPuffin

Oct 25, 2019 7:08 am

reporter   ~0053951

Very strange...no reports of the Overlord being that ow recently. As noted above it melted when I fought it. What strength value was the total of your Fleets? It's gotten turned into a Mantis number in your note here.

yupyip

Oct 25, 2019 7:49 am

reporter   ~0053954

My strength was about 130 in the attacking fleet, and a single other fleet that was base defence at maybe 10 (it was a golum ark I think).

The overloads health was... I think 20million? Minimum 10mil. Shields were either 1 or 10 million, I forget.

RocketAssistedPuffin

Oct 25, 2019 8:01 am

reporter   ~0053955

130 is similar to the Overlord. With the zombifying weapons, I'm not surprised it hurt.

Mine was over 200 when I killed it and I considered this partly early.

BadgerBadger

Oct 25, 2019 1:14 pm

reporter   ~0053961

Yeah, you want a stronger fleet before you take on the AI Overlord. My last game my fleet was 240 or so when I attacked.

zeusalmighty

Oct 25, 2019 1:29 pm

reporter   ~0053964

Perhaps the Phase 2 Overlord's strength should be included in the total strength of the HW -- to underscore how powerful the HW actually is and that you need to be suitably equipped.

Seems like there isn't enough warning just how powerful Phase 2 is until you experience it for the first time--but that's not necessarily a bad thing

RocketAssistedPuffin

Jan 16, 2020 11:53 am

reporter   ~0055611

Things have went the other way on the AI Homeworlds, with them being majorly buffed and the Overlord being upgraded.

This seems to have been a case of a weak Homeworld being taken out by fairly low power Fleets, then being wiped by the Overlord. Shouldn't be possible to get that scenario now.

Overlord also says to be ready before you kill it, as a warning.

yupyip

Feb 12, 2020 3:27 pm

reporter   ~0055983

1.321
I Just killed an AI. My fleet had strength 300 or so by the time we got down to the phase 2. Then phase 2 comes around (about 158 strength) and I end up having to chase the damnable thing across 4 systems before giving up chasing it (it was gaining shields faster than I was killing them during the chase) and then moving ahead two systems to ambush it.

It's still needless un-fun grind. And this was with a fleet that was 400 when it entered the AI home system (itself about 300 threat), against a difficulty level 6 AI.

> Seems like there isn't enough warning just how powerful Phase 2 is until you experience it for the first time--but that's not necessarily a bad thing
Sorry but that's poor game design. If someone is doing well, think they have it in hand, are about to win, then lose the game because the AI basically cheated itself a super-unit... that's very unfun. If they're new to the game it may put them off ever playing again.

RocketAssistedPuffin

Feb 12, 2020 3:36 pm

reporter   ~0055986

Save please. The thing was upgraded as it was a pushover, so this is weird. I've seen it die multiple times without doing anything, let alone managing to somehow escape 4 times.

BadgerBadger

Feb 12, 2020 3:41 pm

reporter   ~0055989

From your description that sounds pretty epic and exciting, and not something that should be removed.

I could make it so that on lower difficulties the AI Overlord Mark 2 would just bumrush your home command station, but that might make the game a bit too easy.

yupyip

Feb 12, 2020 3:43 pm

reporter   ~0055990

Here we are. Top right. 330 fleet strength. For me they chased phase 2 down two systems, then I jumped ahead two systems, so 4 systems total!

Honestly, I don't really see the point of phase 2; it doesn't make the game fun and it doesn't really make sense either.

Autosave.35400.save (1,681,326 bytes)

BadgerBadger

Feb 12, 2020 3:50 pm

reporter   ~0055995

Last edited: Feb 12, 2020 3:51 pm

View 2 revisions

There's a very very long history in games of the Final Boss having multiple forms you have to fight, each providing different challenges. Classic games with this motif include Super Metroid, most Zelda games, almost any RPG etc...

RocketAssistedPuffin

Feb 12, 2020 4:02 pm

reporter   ~0055997

Loaded the save.

Overlord was killed just as it left the planet it started on, zombies kept to a minimum, player force barely dropped. There's enough Factories and Engineers there to keep everything at max, plus 3 Rejuvenator Factories with drones that it can't zombify and would be taking some of the parasite bolts. This is with a change in a current beta branch where newly constructed units need to reload before firing, so player damage output is likely notably lower.

I'm confused as to how it's surviving so long for you. Do you have any mods, active or inactive? There was a case previously where an inactive mod was having strange effects resulting in a similar scenario, because I'm able to kill this by doing nothing except telling units to shoot Phase 2.

yupyip

Feb 12, 2020 4:03 pm

reporter   ~0055998

Indeed, but almost none in strategy games. The reason they work in those sorts of games is that they require the player to change the thing they are doing themselves. Maybe fire at a different target, or use a different weapon or timing or something. Either way it requires a skill change.

In a strategy game like AIW, all you do is target your units and forget about it. Well I do anyway. It adds no challenge, no alternative skills are required, etc.

yupyip

Feb 12, 2020 4:05 pm

reporter   ~0055999

> Overlord was killed just as it left the planet it started on, zombies kept to a minimum, player force barely dropped.
I did it again when I loaded the save to test it for sending to you - it got out of the system and would have crossed the next system but it decided to dally around the wormhole instead.

No mods - stock 1.321.

BadgerBadger

Feb 12, 2020 4:15 pm

reporter   ~0056000

I loaded your save game and let all your ships kill the remaining enemies on the planet. Then I selected everything and right clicked the Overlord Mark 1. When it died, I selected all your ships and right clicked the Overlord Mark 2. 2 clicks total, and otherwise I didn't touch the mouse or keyboard. Your units handily prevailed and the Overlord never left the planet.

I ran this experiment on a steam build from 1.321

yupyip

Feb 12, 2020 4:17 pm

reporter   ~0056001

Just tried this again - it almost got to the fifth system before I destroyed it. This time it didn't linger around but kept moving.

yupyip

Feb 12, 2020 4:18 pm

reporter   ~0056002

> When it died, I selected all your ships and right clicked the Overlord Mark 2. 2 clicks total, and otherwise I didn't touch the mouse or keyboard. Your units handily prevailed and the Overlord never left the planet.

I just did the exact same thing and they don't even get the shields down before it has left the planet! (see previous post)

RocketAssistedPuffin

Feb 12, 2020 4:25 pm

reporter   ~0056004

Last edited: Feb 12, 2020 4:53 pm

View 2 revisions

Temporarily boosted Phase 2 to 150+% of normal power. Was still able to defeat it without much bother, however the zombie count was notable and the reinforcements were slightly outpaced.

Unsure what to do, as unable to reproduce issue.

EDIT: Was able to defeat it once at nearly 200%. Gets close otherwise. Seemed dependent on whether the Engineers are working properly instead of trying to build something beyond their current reach.

BadgerBadger

Feb 12, 2020 5:33 pm

reporter   ~0056008

Last edited: Feb 12, 2020 6:05 pm

View 3 revisions

I've tried this battle 4 times or so. In every case your units triumph pretty easily. There is definitely a second phase to the battle, and you may have to chase the Overlord Mark 2 around a bit, but in no case would I describe this as a "slog" or "grind", and in every case it was a very easy win even only setting your units on Pursuit mode and not actually trying to control the battle intelligently.

If I were to do anything I would buff the Overlord Mark 2 because this battle feels really easy, and I think the Overlord Mark 2 should feel scarier.

Edit: Do note that you can crank up the speed on the simulation if you feel like things are taking a while

yupyip

Feb 13, 2020 4:54 am

reporter   ~0056015

Just did it a fourth time.

1) Waiting for everything in the system to be killed
2) Selected everything
3) clicked on command station
4) waiting for Phase 1 to die
5) (still got everything selected) - clicked on phase 2
6) Phase 2 warps out of the system having just lost its shields.
7) I warp everything to the next system. 460 strength AI Reserves pop in (yea, because that's just what I want right now!)
8) Chase AI down across systems; repeatedly select all ships in the system (as they keep warping in) and targeting phase 2. AI leaves a system, I send go to the galaxy map and move my fleets to the next system
9) AI Phase 2 escapes - all my ships are dead (I guess the reserves took out the factories).
Gave up chasing when it got to system 6. It only had 15k health left but I had exactly one siege frigate so....

Maybe it depends on whether the Phase 2 even bothers moving out of system? For me it has always moved though as noted, for one of them it stopped moving after the first wormhole.

It's even more grindy and unfair when the AI Reserves pop in and decimate your fleet. :-(

RocketAssistedPuffin

Feb 13, 2020 9:41 am

reporter   ~0056016

Last edited: Feb 13, 2020 10:52 am

View 7 revisions

Apologies, but I still cannot reproduce this. Tried 5 more times and the Overlord consistently has under 30% hull before it leaves the first planet - it dies in seconds on the next. Every time, without fail, it goes toward a Factory first, never a wormhole.

The reserves are simply due to not owning a planet nearby. The one you did capture was lost, so they are eligible to appear. Far as I know they have no particular behaviour when it comes to an Overlord.

EDIT: Boosting the speed of it up to 1,000 does not reproduce it either. It gets to the second planet, but the shields are down and hull is at 75%.

EDIT 2: It rushed to a different planet, the one with defenses still active. Even with the Reserve, can still kill it and leave with most forces intact.

EDIT 3: Speed 2,200 at last shows some form of what you say, but it still doesn't do it completely. This was the most troublesome one as it managed to destroy all the Factories.

EDIT 4: minimum_seconds_on_planet_before_retreat="25" for Difficulty 6. It should never go for a wormhole until 25s has passed, which is consistent in my testing. Until that time is up, it will go for the Factories. In your save, the Factories are next to the wormhole, so it would appear to be heading to it directly. If the Factories are moved, it'll go to them first. However, still do not get the results described, even if the Factories are left.

EDIT 5: Now have cases of it not attempting to retreat. It stays and dies on the planet it started on.

RocketAssistedPuffin

Feb 13, 2020 10:33 am

reporter   ~0056017

At this point, a save which 100% reproduces it reliably would be needed, as I am not getting your described situation at all unless I majorly buff the thing, and it's still rare. Unless there is such a case, there'll likely be no changes here.

Issue History

Date Modified Username Field Change
Oct 24, 2019 4:24 pm yupyip New Issue
Oct 24, 2019 4:37 pm RocketAssistedPuffin Note Added: 0053928
Oct 25, 2019 12:54 am BadgerBadger Note Added: 0053940
Oct 25, 2019 4:29 am yupyip Note Added: 0053942
Oct 25, 2019 4:58 am yupyip Note Added: 0053945
Oct 25, 2019 6:26 am RocketAssistedPuffin Note Added: 0053946
Oct 25, 2019 6:38 am yupyip Note Added: 0053949
Oct 25, 2019 7:08 am RocketAssistedPuffin Note Added: 0053951
Oct 25, 2019 7:49 am yupyip Note Added: 0053954
Oct 25, 2019 8:01 am RocketAssistedPuffin Note Added: 0053955
Oct 25, 2019 1:14 pm BadgerBadger Note Added: 0053961
Oct 25, 2019 1:29 pm zeusalmighty Note Added: 0053964
Jan 16, 2020 11:53 am RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Jan 16, 2020 11:53 am RocketAssistedPuffin Status new => closed
Jan 16, 2020 11:53 am RocketAssistedPuffin Resolution open => fixed
Jan 16, 2020 11:53 am RocketAssistedPuffin Fixed in Version => 1.3 The Grand New AI
Jan 16, 2020 11:53 am RocketAssistedPuffin Note Added: 0055611
Feb 12, 2020 3:27 pm yupyip Status closed => feedback
Feb 12, 2020 3:27 pm yupyip Resolution fixed => reopened
Feb 12, 2020 3:27 pm yupyip Note Added: 0055983
Feb 12, 2020 3:36 pm RocketAssistedPuffin Note Added: 0055986
Feb 12, 2020 3:41 pm BadgerBadger Note Added: 0055989
Feb 12, 2020 3:43 pm yupyip File Added: Autosave.35400.save
Feb 12, 2020 3:43 pm yupyip Note Added: 0055990
Feb 12, 2020 3:43 pm yupyip Status feedback => assigned
Feb 12, 2020 3:50 pm BadgerBadger Note Added: 0055995
Feb 12, 2020 3:51 pm BadgerBadger Note Edited: 0055995 View Revisions
Feb 12, 2020 4:02 pm RocketAssistedPuffin Note Added: 0055997
Feb 12, 2020 4:03 pm yupyip Note Added: 0055998
Feb 12, 2020 4:05 pm yupyip Note Added: 0055999
Feb 12, 2020 4:15 pm BadgerBadger Note Added: 0056000
Feb 12, 2020 4:17 pm yupyip Note Added: 0056001
Feb 12, 2020 4:18 pm yupyip Note Added: 0056002
Feb 12, 2020 4:25 pm RocketAssistedPuffin Note Added: 0056004
Feb 12, 2020 4:53 pm RocketAssistedPuffin Note Edited: 0056004 View Revisions
Feb 12, 2020 5:33 pm BadgerBadger Note Added: 0056008
Feb 12, 2020 5:34 pm BadgerBadger Note Edited: 0056008 View Revisions
Feb 12, 2020 6:05 pm BadgerBadger Note Edited: 0056008 View Revisions
Feb 13, 2020 4:54 am yupyip Note Added: 0056015
Feb 13, 2020 9:41 am RocketAssistedPuffin Note Added: 0056016
Feb 13, 2020 9:57 am RocketAssistedPuffin Note Edited: 0056016 View Revisions
Feb 13, 2020 10:02 am RocketAssistedPuffin Note Edited: 0056016 View Revisions
Feb 13, 2020 10:08 am RocketAssistedPuffin Note Edited: 0056016 View Revisions
Feb 13, 2020 10:14 am RocketAssistedPuffin Note Edited: 0056016 View Revisions
Feb 13, 2020 10:33 am RocketAssistedPuffin Note Added: 0056017
Feb 13, 2020 10:33 am RocketAssistedPuffin Status assigned => acknowledged
Feb 13, 2020 10:51 am RocketAssistedPuffin Note Edited: 0056016 View Revisions
Feb 13, 2020 10:52 am RocketAssistedPuffin Note Edited: 0056016 View Revisions